Package javassist.bytecode.annotation

# Class DoubleMemberValue

java.lang.Object
javassist.bytecode.annotation.MemberValue
javassist.bytecode.annotation.DoubleMemberValue

public class DoubleMemberValue extends MemberValue
Double floating-point number constant value.

Version:
  $Revision: 1.7 $
Author:
  Bill Burke, Shigeru Chiba

## Constructor Summary

Constructors
Constructor
Description
`DoubleMemberValue(double d, ConstPool cp)`
Constructs a double constant value.
`DoubleMemberValue(int index, ConstPool cp)`
Constructs a double constant value.
`DoubleMemberValue(ConstPool cp)`
Constructs a double constant value.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(MemberValueVisitor visitor)`
Accepts a visitor.
`double`
`getValue()`
Obtains the value of the member.
`void`
`setValue(double newValue)`
Sets the value of the member.
`String`
`toString()`
Obtains the string representation of this object.
`void`
`write(AnnotationsWriter writer)`
Writes the value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleMemberValue

public DoubleMemberValue(int index, ConstPool cp)
Constructs a double constant value. The initial value is specified by the constant pool entry at the given index.

Parameters:
  `index` - the index of a CONSTANT_Double_info structure.

### DoubleMemberValue

public DoubleMemberValue(double d, ConstPool cp)
Constructs a double constant value.

Parameters:
  `d` - the initial value.

### DoubleMemberValue

public DoubleMemberValue(ConstPool cp)
Constructs a double constant value. The initial value is 0.0.

## Method Details

### getValue

public double getValue()
Obtains the value of the member.

### setValue

public void setValue(double newValue)
Sets the value of the member.

### toString

public String toString()
Obtains the string representation of this object.

Overrides:
  `toString` in class `Object`

### write

public void write(AnnotationsWriter writer) throws IOException
Writes the value.

Specified by:
  `write` in class `MemberValue`
Throws:
  `IOException`

### accept

public void accept(MemberValueVisitor visitor)
Accepts a visitor.

Specified by:
  `accept` in class `MemberValue`